# Created by pyp2rpm-3.3.2
%global pypi_name w3lib

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        %mkrel 3
Summary:        Library of web-related functions
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        %{pypi_source}
Patch0:         0001-relax-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-hoverxref)
%endif

%description
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(six) >= 1.4.1
%if ! %{with docs}
Obsoletes:	python-%{pypi_name}-doc < %{version}-%{release}
%endif

%description -n python3-%{pypi_name}
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files w3lib

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.2-3.mga10
+ Revision: 2240819
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.1.2-2.mga10
+ Revision: 2157897
- rebuild for python3.13

* Fri Feb 23 2024 papoteur <papoteur> 2.1.2-1.mga10
+ Revision: 2043596
- relax requirements
- rebuild for python 3.12
- new version 2.1.2
- use pyproject
+ neoclust <neoclust>
- New version 2.0.1

* Sat Mar 26 2022 umeabot <umeabot> 1.22.0-3.mga9
+ Revision: 1828542
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.22.0-2.mga9
+ Revision: 1781173
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.22.0-1.mga9
+ Revision: 1733724
- new version 1.22.0
- disable docs build for now
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.19.0-3.mga8
+ Revision: 1532557
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.19.0-2.mga8
+ Revision: 1442512
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 kekepower <kekepower> 1.19.0-1.mga7
+ Revision: 1353357
- imported package python-w3lib

